aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorhinder <hinder@c7ba4c71-c2f2-49b2-85d5-cb7b5f04bdfb>2011-06-28 15:34:18 +0000
committerhinder <hinder@c7ba4c71-c2f2-49b2-85d5-cb7b5f04bdfb>2011-06-28 15:34:18 +0000
commit1265332cd427c256c7263071b45657b1b8d502d5 (patch)
treeb3988b4e502f2c8a714e5f53798481a8aff1ebc6
parent0ec0c4b7d493ac90e0882ab2274a047c15831a1d (diff)
Abort on missing Fortran compiler
git-svn-id: http://svn.cactuscode.org/projects/ExternalLibraries/LAPACK/trunk@18 c7ba4c71-c2f2-49b2-85d5-cb7b5f04bdfb
-rw-r--r--LAPACK.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/LAPACK.sh b/LAPACK.sh
index 6598090..3c22386 100644
--- a/LAPACK.sh
+++ b/LAPACK.sh
@@ -60,6 +60,13 @@ if [ -z "${LAPACK_DIR}" -o "${LAPACK_DIR}" = 'BUILD' ]; then
INSTALL_DIR=${SCRATCH_BUILD}/external/${THORN}
DONE_FILE=${SCRATCH_BUILD}/done/${THORN}
LAPACK_DIR=${INSTALL_DIR}
+
+ if [ "${F77}" = "none" ]; then
+ echo 'BEGIN ERROR'
+ echo "Building LAPACK requires a fortran compiler, but there is none configured: F77 = $F77. Aborting."
+ echo 'END ERROR'
+ exit 1
+ fi
(
exec >&2 # Redirect stdout to stderr